# If not provided by a system installed macro, define
%{!?__python2: %global __python2 /usr/bin/python2}

%if %{_vendor} == "debbuild"
%global pyinstflags --no-compile -O0
%global pytargetflags --install-layout=deb
%else
%global pyinstflags -O1
%global pytargetflags %{nil}
%endif

%{!?py2_build: %global py2_build CFLAGS="%{optflags}" %{__python2} setup.py build}
%{!?py2_install: %global py2_install %{__python2} setup.py install %{?pyinstflags} --skip-build --root %{buildroot} %{?pytargetflags}}

%if %{undefined python2_sitelib}
%global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

# User "--with devmode" on rpmbuild/debbuild to enable devmode
# like so: "debbuild -bb --with devmode vmscripts.spec"
%bcond_with devmode


Name:           obsctl
Version:        0.1.1
Release:        1%{?dist}
Summary:        A CLI for OBS packaging and deploys
Url:            https://gitlab.datto.net/DevOps/obsctl
%if ! %{with devmode}
Source0:        %{name}-%{version}.tar.gz
%else
Source0:        %{name}.tar.gz
%endif
%if %{_vendor} == "debbuild"
License:        GPL-2.0+
%else
License:        GPLv2+
%endif

%if %{_vendor} == "debbuild"
Packager:       Mark Bluemer <mbluemer@datto.com>
Group:          devel
%endif

BuildArch: noarch

%if %{_vendor} == "debbuild"
BuildRequires:  python-click
BuildRequires:  python-dev
BuildRequires:  python-pathlib
BuildRequires:  python-setuptools
BuildRequires:  python-wheel
%else
BuildRequires:  python2-click
BuildRequires:  python2-devel
BuildRequires:  python2-pathlib
%endif

BuildRequires: osc

%description
This is a command line interface to simplify the packaging and deploy process for packages built in the OpenSuse Open Build Service. This utility functions in a non-interactive manner allowing it to be utilized in continuous integration and continuous deployment infrastructure.

%prep
%if ! %{with devmode}
%autosetup -n %{name}-%{version}
%else
%autosetup -n %{name}
%endif

%build
%py2_build


%install
%py2_install

 
mkdir -p %{buildroot}%{_sysconfdir}/obsctl
%if %{_vendor} != "debbuild"
touch %{buildroot}%{_sysconfdir}/obsctl/obsauth.json
%endif

%if %{_vendor} == "debbuild"
touch %{buildroot}%{_sysconfdir}/obsctl/.keep
%endif

%files
%license COPYING
%dir %{_sysconfdir}/obsctl
%if %{_vendor} == "debbuild"
%{_sysconfdir}/obsctl/.keep
%else
%ghost %{_sysconfdir}/obsctl/obauth.json
%endif
%{_bindir}/obsctl
%{python2_sitelib}/obsctl-*.egg-info
%{python2_sitelib}/obsctl


%changelog
* Mon Nov 13 2017 Mark Bluemer <mbluemer@datto.com> - 0.1.1
- Add ghost configuration file for auth information

* Fri Nov 10 2017 Mark Bluemer <mbluemer@datto.com> - 0.1.0
- Inital Packaging

